"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "Box", {
    enumerable: true,
    get: function() {
        return Box;
    }
});
var _interop_require_default = require("@swc/helpers/_/_interop_require_default");
var _object_spread = require("@swc/helpers/_/_object_spread");
var _object_spread_props = require("@swc/helpers/_/_object_spread_props");
var _object_without_properties = require("@swc/helpers/_/_object_without_properties");
var _react = require("react");
var _clsx = /*#__PURE__*/ _interop_require_default._(require("clsx"));
var _utils = require("../utils");
var _margin = require("../utils/margin");
var _padding = require("../utils/padding");
var _dimension = require("../utils/dimension");
var Box = /*#__PURE__*/ (0, _react.forwardRef)(function(props, ref) {
    var _background_gradient, _background_gradient1, _background_gradient2;
    var _props_element = props.element, element = _props_element === void 0 ? 'div' : _props_element, className = props.className, margin = props.margin, padding = props.padding, width = props.width, height = props.height, background = props.background, rest = _object_without_properties._(props, [
        "element",
        "className",
        "margin",
        "padding",
        "width",
        "height",
        "background"
    ]);
    var marginClassName = (0, _utils.responsive)(_margin.resolveMargin, margin);
    var paddingClassName = (0, _utils.responsive)(_padding.resolvePadding, padding);
    var widthClassName = (0, _utils.responsive)(_dimension.resolveWidth, width);
    var heightClassName = (0, _utils.responsive)(_dimension.resolveHeight, height);
    var backgroundAttachmentClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : background.attachment);
    var backgroundClipClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('bg-clip'), background === null || background === void 0 ? void 0 : background.clip);
    var backgroundColorClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : background.color);
    var backgroundOpacityClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('bg-opacity'), background === null || background === void 0 ? void 0 : background.opacity);
    var backgroundOriginClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('bg-origin'), background === null || background === void 0 ? void 0 : background.origin);
    var backgroundPositionClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : background.position);
    var backgroundRepeatClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : background.repeat);
    var backgroundSizeClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : background.size);
    var backgroundImageClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : background.image);
    var gradientFromClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('from'), background === null || background === void 0 ? void 0 : (_background_gradient = background.gradient) === null || _background_gradient === void 0 ? void 0 : _background_gradient.from);
    var gradientViaClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : (_background_gradient1 = background.gradient) === null || _background_gradient1 === void 0 ? void 0 : _background_gradient1.via);
    var gradientToClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : (_background_gradient2 = background.gradient) === null || _background_gradient2 === void 0 ? void 0 : _background_gradient2.to);
    return /*#__PURE__*/ (0, _react.createElement)(element, _object_spread_props._(_object_spread._({
        className: (0, _clsx.default)(marginClassName, paddingClassName, widthClassName, heightClassName, backgroundAttachmentClassName, backgroundClipClassName, backgroundColorClassName, backgroundOpacityClassName, backgroundOriginClassName, backgroundPositionClassName, backgroundRepeatClassName, backgroundSizeClassName, backgroundImageClassName, gradientFromClassName, gradientViaClassName, gradientToClassName, className)
    }, rest), {
        ref: ref
    }));
});

//# sourceMappingURL=Box.js.map