"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "FlexBox", {
    enumerable: true,
    get: function() {
        return FlexBox;
    }
});
var _interop_require_default = require("@swc/helpers/_/_interop_require_default");
var _object_spread = require("@swc/helpers/_/_object_spread");
var _object_without_properties = require("@swc/helpers/_/_object_without_properties");
var _clsx = /*#__PURE__*/ _interop_require_default._(require("clsx"));
var _react = /*#__PURE__*/ _interop_require_default._(require("react"));
var _Box = require("../Box");
var _utils = require("../utils");
function FlexBox(props) {
    var className = props.className, direction = props.direction, align = props.align, justify = props.justify, wrap = props.wrap, boxProps = _object_without_properties._(props, [
        "className",
        "direction",
        "align",
        "justify",
        "wrap"
    ]);
    var flexDirectionClassNames = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('flex'), direction);
    var justifyContentClassNames = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('justify'), justify);
    var alignItemsClassNames = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('items'), align);
    var flexWrapClassNames = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('flex'), wrap);
    return /*#__PURE__*/ _react.default.createElement(_Box.Box, _object_spread._({
        className: (0, _clsx.default)('flex', flexDirectionClassNames, justifyContentClassNames, alignItemsClassNames, flexWrapClassNames, className)
    }, boxProps));
}

//# sourceMappingURL=FlexBox.js.map