"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "FlexItem", {
    enumerable: true,
    get: function() {
        return FlexItem;
    }
});
var _interop_require_default = require("@swc/helpers/_/_interop_require_default");
var _object_spread = require("@swc/helpers/_/_object_spread");
var _object_without_properties = require("@swc/helpers/_/_object_without_properties");
var _clsx = /*#__PURE__*/ _interop_require_default._(require("clsx"));
var _react = /*#__PURE__*/ _interop_require_default._(require("react"));
var _Box = require("../Box");
var _utils = require("../utils");
function FlexItem(props) {
    var className = props.className, flex = props.flex, grow = props.grow, shrink = props.shrink, boxProps = _object_without_properties._(props, [
        "className",
        "flex",
        "grow",
        "shrink"
    ]);
    var flexClassNames = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('flex'), flex);
    var flexGrowClassNames = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('flex'), grow);
    var flexShrinkClassNames = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('flex'), shrink);
    return /*#__PURE__*/ _react.default.createElement(_Box.Box, _object_spread._({
        className: (0, _clsx.default)(flexClassNames, flexGrowClassNames, flexShrinkClassNames, className)
    }, boxProps));
}

//# sourceMappingURL=FlexItem.js.map