"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "Input", {
    enumerable: true,
    get: function() {
        return Input;
    }
});
var _interop_require_default = require("@swc/helpers/_/_interop_require_default");
var _object_spread = require("@swc/helpers/_/_object_spread");
var _object_spread_props = require("@swc/helpers/_/_object_spread_props");
var _object_without_properties = require("@swc/helpers/_/_object_without_properties");
var _clsx = /*#__PURE__*/ _interop_require_default._(require("clsx"));
var _react = require("react");
var _utils = require("../utils");
var _text = require("../utils/text");
var Input = /*#__PURE__*/ (0, _react.forwardRef)(function(props, ref) {
    var _props_type = props.type, type = _props_type === void 0 ? 'text' : _props_type, family = props.family, size = props.size, smoothing = props.smoothing, fontStyle = props.fontStyle, weight = props.weight, variantNumeric = props.variantNumeric, letterSpacing = props.letterSpacing, lineHeight = props.lineHeight, listStyle = props.listStyle, listStylePosition = props.listStylePosition, align = props.align, color = props.color, opacity = props.opacity, decoration = props.decoration, transform = props.transform, overflow = props.overflow, verticalAlign = props.verticalAlign, whitespace = props.whitespace, wordBreak = props.wordBreak, placeholderColor = props.placeholderColor, placeholderOpacity = props.placeholderOpacity, className = props.className, textProps = _object_without_properties._(props, [
        "type",
        "family",
        "size",
        "smoothing",
        "fontStyle",
        "weight",
        "variantNumeric",
        "letterSpacing",
        "lineHeight",
        "listStyle",
        "listStylePosition",
        "align",
        "color",
        "opacity",
        "decoration",
        "transform",
        "overflow",
        "verticalAlign",
        "whitespace",
        "wordBreak",
        "placeholderColor",
        "placeholderOpacity",
        "className"
    ]);
    return /*#__PURE__*/ (0, _react.createElement)('input', _object_spread_props._(_object_spread._({
        type: type,
        className: (0, _clsx.default)((0, _utils.responsive)((0, _utils.createPrefixValueResolver)('font'), family), (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('text'), size), (0, _utils.responsive)(_utils.resolveValue, smoothing), (0, _utils.responsive)(_utils.resolveValue, fontStyle), (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('font'), weight), (0, _utils.responsive)(_utils.resolveValue, variantNumeric), (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('tracking'), letterSpacing), (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('leading'), lineHeight), (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('list'), listStyle), (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('list'), listStylePosition), (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('text'), align), (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('text'), color), (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('text-opacity'), opacity), (0, _utils.responsive)(_utils.resolveValue, decoration), (0, _utils.responsive)(_utils.resolveValue, transform), (0, _utils.responsive)(_text.resolveTextOverflow, overflow), (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('align'), verticalAlign), (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('whitespace'), whitespace), (0, _utils.responsive)((0, _utils.createPrefixValueResolver)('break'), wordBreak), className)
    }, textProps), {
        ref: ref
    }));
});

//# sourceMappingURL=Input.js.map