"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "responsive", {
    enumerable: true,
    get: function() {
        return responsive;
    }
});
var _interop_require_default = require("@swc/helpers/_/_interop_require_default");
var _sliced_to_array = require("@swc/helpers/_/_sliced_to_array");
var _clsx = /*#__PURE__*/ _interop_require_default._(require("clsx"));
var Size = /*#__PURE__*/ function(Size) {
    Size["ALL"] = "";
    Size["SMALL"] = "sm";
    Size["MEDIUM"] = "md";
    Size["LARGE"] = "lg";
    Size["XLARGE"] = "xl";
    Size["XXLARGE"] = "2xl";
    return Size;
}(Size || {});
function responsive(resolverFn, value) {
    if (value == null) {
        return '';
    }
    if (Array.isArray(value)) {
        var _value = _sliced_to_array._(value, 6), all = _value[0], sm = _value[1], md = _value[2], lg = _value[3], xl = _value[4], xxl = _value[5];
        return (0, _clsx.default)(all ? resolverFn(all) : '', sm ? "sm:".concat(resolverFn(sm)) : '', md ? "md:".concat(resolverFn(md)) : '', lg ? "lg:".concat(resolverFn(lg)) : '', xl ? "xl:".concat(resolverFn(xl)) : '', xxl ? "2xl:".concat(resolverFn(xxl)) : '');
    }
    return resolverFn(value);
}

//# sourceMappingURL=responsive.js.map